Bug 1110292

Summary: perl-Text-Xslate-3.1.2-3.fc21 FTBFS under heavy load:
Product: [Fedora] Fedora Reporter: Petr Pisar <ppisar>
Component: perl-Text-XslateAssignee: Jitka Plesnikova <jplesnik>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: cickumqt, perl-devel
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://github.com/xslate/p5-Text-Xslate/issues/75
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 11:48:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Petr Pisar 2014-06-17 11:38:55 UTC
perl-Text-Xslate-3.1.2-3.fc21 fails to build if the host is heavily loaded because t/010_internals/008_files.t test fails:

#   Failed test 'auto reload 1'
#   at t/010_internals/008_files.t line 81.
#          got: 'Hello, Perl world!
# '
#     expected: 'Hi, Perl.
# '
#   Failed test 'auto reload 2'
#   at t/010_internals/008_files.t line 81.
#          got: 'Hello, Perl world!
# '
#     expected: 'Hi, Perl.
# '
# Looks like you failed 2 tests of 67.
t/010_internals/008_files.t ..................... 
Dubious, test returned 2 (wstat 512, 0x200)
Failed

This looks like a race in the tests. The test does:

utime $^T+10, $^T+10, $x;

is $tx->render('hello.tx', { lang => 'Perl' }),
    "Hi, Perl.\n", "auto reload $_" for 1 .. 2;


If you comment the utime call out, it will fail always.

Comment 1 Jaroslav Reznik 2015-03-03 16:02:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Admin XMLRPC Client 2016-02-26 17:48:23 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2016-02-29 09:14:56 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2016-07-19 11:48:43 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.